IBM DB2 db2start, db2stop, and db2govd binaries contain buffer overflow

db2-multiple-binaries-bo (13633) The risk level is classified as HighHigh Risk

Description:

IBM DB2 Universal Database for Linux is vulnerable to multiple buffer overflows, caused by vulnerabilities in the db2start, db2stop, and db2govd binaries. A local attacker could pass a long or specially-crafted string to the db2start, db2stop, or db2govd binary using a command line option to overflow a buffer and cause a segmentation fault.


Consequences:

Denial of Service

Remedy:

For IBM DB2 8.0:
Download Fixpak 4, when it becomes available from the IBM DB2 Technical Support Web page. See References.

For IBM DB2 7.0:
Download Fix Pack 11, when it becomes available from the IBM DB2 Technical Support Web page. See References.

References:

  • BugTraq Mailing List, Sat Nov 08 2003 - 10:38:25 CST : SRT2003-11-06-0710 - IBM DB2 Multiple local security issues.
  • IBM DB2 Technical Support Web site: DB2 Universal Database for Linux, UNIX and Windows.
  • BID-8989: IBM DB2 Multiple Command-line Format String Vulnerabilities
  • BID-8990: IBM DB2 Multiple Command-Line Argument Buffer Overflow Vulnerabilities
  • CVE-2003-1050: Multiple buffer overflows in IBM DB2 Universal Database 8.1 may allow local users to execute arbitrary code via long command line arguments to (1) db2start, (2) db2stop, or (3) db2govd.
  • CVE-2003-1051: Multiple format string vulnerabilities in IBM DB2 Universal Database 8.1 may allow local users to execute arbitrary code via certain command line arguments to (1) db2start, (2) db2stop, or (3) db2govd.
  • OSVDB ID: 15998: IBM DB2 db2start Command Line Argument Local Overflow
  • OSVDB ID: 15999: IBM DB2 db2stop Command Line Argument Local Overflow
  • OSVDB ID: 16000: IBM DB2 db2govd Command Line Argument Local Overflow
  • OSVDB ID: 2846: IBM DB2 db2start Format String Arbitrary Code Execution
  • OSVDB ID: 9499: IBM DB2 db2stop Format String Arbitrary Code Execution
  • OSVDB ID: 9500: IBM DB2 db2govd Format String Arbitrary Code Execution

Platforms Affected:

  • IBM DB2 7.0
  • IBM DB2 8.0

Reported:

Nov 08, 2003

The information within this database may change without notice. Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. In no event shall the author/distributor (IBM Internet Security Systems X-Force) be held liable for any damages whatsoever arising out of or in connection with the use or spread of this information.

For corrections or additions please email ignore thisxforceignore this@ignore thisus.ignore thisibm.comignore this

Return to the main page